Browse Source

Adjust requirements and lower-constraints

Conservative changes to get the l-c job passing with the new
pip resolver.

Changes:
- added bandit to test-requirements and l-c
  * needed to set cap for py27

Change-Id: I7459ba076a25a4963eb20a30561911815f9285b2
changes/70/768370/1 train-em
Brian Rosmaita 5 months ago
parent
commit
7e9e31ce08
2 changed files with 3 additions and 0 deletions
  1. +1
    -0
      lower-constraints.txt
  2. +2
    -0
      test-requirements.txt

+ 1
- 0
lower-constraints.txt View File

@ -1,5 +1,6 @@
asn1crypto==0.23.0
Babel==2.3.4
bandit==1.1.0
cffi==1.7.0
cliff==2.8.0
cmd2==0.8.0


+ 2
- 0
test-requirements.txt View File

@ -13,3 +13,5 @@ tempest>=17.1.0 # Apache-2.0
testtools>=2.2.0 # MIT
stestr>=1.0.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
bandit>=1.1.0;python_version>='3.4'
bandit>=1.1.0,<=1.6.2;python_version=='2.7'

Loading…
Cancel
Save